/*****************************************************************************************************

	Main.cpp	SC02 Sample Program

	
													2015.7.28 M.Utsumi@ARCDEVICE

******************************************************************************************************/

#include<windows.h>
#include<stdio.h>
#include<conio.h>
#include<string.h>
#include<math.h>
#include"SC02.h"


int main( int argc, char* argv[] )
{
	SC02 sc;

// Jn
	printf("Open SC02 ");
	if( !sc.Open( CM_MASTER_ID ) ){
		printf( "Error:%s\n", sc.Error );
		return( 0 );
	}
	printf("OK\n");

	if( !sc.GetID() ){
		printf( "Error:%s\n", sc.Error );
		sc.Close();
		return( 0 );
	}
	printf( "ID = %d\n", 0x000F & sc.bID );

	if( !sc.GetVersion() ){
		printf( "Error:%s\n", sc.Error );
		sc.Close();
		return( 0 );
	}
	printf( "User program version %d.%d\n", 0x000F & sc.bVersion>>4, 0x000F & sc.bVersion );

	printf("Hit any key to blink\n");
	_getch();

	if( !sc.Blink(3) ){
		printf( "Error:%s\r\n", sc.Error );
		sc.Close();
		return( 0 );
	}

// I
	printf("Close SC02 ");
	sc.Close();
	printf("OK\n");

	return(1);
}

